<?php
namespace JustKnit\Model\mysql;

use xPDO\xPDO;

class JustKnitDims extends \JustKnit\Model\JustKnitDims
{

    public static $metaMap = array (
        'package' => 'JustKnit\\Model\\',
        'version' => '3.0',
        'table' => 'justknit_dims',
        'extends' => 'xPDO\\Om\\xPDOSimpleObject',
        'tableMeta' => 
        array (
            'engine' => 'InnoDB',
        ),
        'fields' => 
        array (
            'calc_id' => 0,
            'ressource_id' => 0,
            'calcedby' => 0,
            'len' => 0.0,
            'qty' => 0,
            'pre' => 0,
            'post' => 0,
            'dimname' => '',
            'dtn_d' => '',
        ),
        'fieldMeta' => 
        array (
            'calc_id' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'ressource_id' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'calcedby' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'len' => 
            array (
                'dbtype' => 'decimal',
                'precision' => '10',
                'phptype' => 'float',
                'null' => false,
                'default' => 0.0,
            ),
            'qty' => 
            array (
                'dbtype' => 'int',
                'precision' => '20',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'pre' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'post' => 
            array (
                'dbtype' => 'int',
                'precision' => '10',
                'phptype' => 'integer',
                'null' => false,
                'default' => 0,
            ),
            'dimname' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '20',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
            'dtn_d' => 
            array (
                'dbtype' => 'varchar',
                'precision' => '5',
                'phptype' => 'string',
                'null' => false,
                'default' => '',
            ),
        ),
        'aggregates' => 
        array (
            'CalcedBy' => 
            array (
                'class' => 'MODX\\Revolution\\modUser',
                'local' => 'calcedby',
                'foreign' => 'id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
            'PreDim' => 
            array (
                'class' => 'JustKnit\\Model\\JustKnitDims',
                'local' => 'pre',
                'foreign' => 'id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
            'PostDim' => 
            array (
                'class' => 'JustKnit\\Model\\JustKnitDims',
                'local' => 'post',
                'foreign' => 'id',
                'cardinality' => 'one',
                'owner' => 'foreign',
            ),
        ),
    );

}
