<!--static tpl-->
[[- Template für die Berechnungs Seiten
* hat Burgermenü mit Untermenü, damit der User direkt zu den einzelnen Berechnungen kommt.
*
* id:
* name: Client
* wird verwendet für die Berechnungen
*
]]
<!DOCTYPE html>
<html lang="de-de">
    <head>
        <meta charset="[[++modx_charset]]">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="[[*description:len:gte=`155`:then=`[[*description:limit=`155`]] ...`:else=`[[*description]]`]]" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="theme-color" content="#212529">
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black">
        <title>[[*pagetitle]][[*pagetitle:len:lte=`57`:then=` | [[++site_name]]`]]</title>
        <meta name="copyright"  content="Iris Hammer" />
        <base href="[[!++site_url]]" />
        <meta name="author" content="[[*editedby:userinfo=`fullname`]] - [[++site_url]]" />
        <meta name="robots" content="max-snippet:-1, max-image-preview:large, max-video-preview:-1"/>
        <meta http-equiv="last-modified" content="[[*editedon]]" />
        <!-- Favicon -->
        <link rel="icon" href="assets/components/justknit/img/icons/jkIcon.png">
        <!-- Bootstrap 5.3.0 -->
        <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/bootstrap.min.css" />
        <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/bootstrap-icons.css" />
        <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/googlefonts.css" />
        <link rel="stylesheet" type="text/css" href="assets/components/justknit/css/justknit.basis.css" />
        <link rel="manifest" href="manifest.json">
        <!-- Icons -->
        <link rel="apple-touch-icon" href="assets/components/justknit/img/icons/icon-96x96.png">
        <link rel="apple-touch-icon" sizes="120x120" href="assets/components/justknit/img/icons/icon-120x120.png">
        <link rel="apple-touch-icon" sizes="152x152" href="assets/components/justknit/img/icons/icon-152x152.png">
        <link rel="apple-touch-icon" sizes="167x167" href="assets/components/justknit/img/icons/icon-167x167.png">
        <link rel="apple-touch-icon" sizes="180x180" href="assets/components/justknit/img/icons/icon-180x180.png">
    </head>
    <body>
<script>
    var kA = '';
   (localStorage.getItem('knitApp') !== null) ? kA = JSON.parse(localStorage.getItem('knitApp')) : kA.theme = "light";
    document.documentElement.dataset.appliedMode = kA.theme;
</script>
    [[!ClientData]]
        <header>
            <nav class="navbar fixed-top jk-topnav">
                <div class="container">
                    <div class="back-nav col-2">
                        <a class="back" href="[[GoBack]]" role="button" ><i class="bi bi-arrow-left-short"></i><span hidden>Back</span></a>
                    </div>
                    <div class="header-content text-center position-absolute top-50 start-50 translate-middle">
                        <span class="page-title">[[*pagetitle]]</span>
                    </div>

            [[!+isLoggedIn:is=`1`:then=`
                [[$jkBurgerOffCanvasCalc]]
                [[-<div class="user-login fs-4"><a href="[[~[[GetId? &alias=`login`]]? &service=`logout`]]" title="Logout"><span hidden>Logout</span><i class="bi bi-box-arrow-right"></i></a></div>]]
            `:else=`
                <div class="user-login fs-4"><a href="[[~[[GetId? &alias=`login`]]]]" title="Login"><span hidden>Login</span><i class="bi bi-person"></i></a></div>
            `]]
                </div>
            </nav>
        </header>
        <form id="calc-[[*alias]]" class="freecalc" action="[[~[[*id]]]]" method="post">
        <main class="fixed-top-nav fixed-bottom-nav">
            <div class="container">
<div id="prt-[[*alias]]" class="card shadow-sm">
    <div class="card-body">
        <div class="print-ad mb-5"><p>Diese Berechnung wurde erstellt mit <a href="https://justknit.de/strickrechner/" >JustKnit</a> - Stricken was wirklich passt. </p></div>
        <div class="calc-header pb-3">
            <h3 class="text-center">[[*longtitle]] [[+jk.projectname]]</h3>
        </div>

        <fieldset><!-- SVG cut -->
<svg id="cut" version="1.1" width="100%" height="100%" viewBox="0 0 332.46 455.01" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
 <a data-target="#dim_wBust-modal" data-toggle="modal" role="button" xlink>
  <g id="wBust" opacity="0">
   <marker id="wBust-ms" overflow="visible" orient="auto">
    <path id="wBust-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wBust-me" overflow="visible" orient="auto">
    <path id="wBust-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wBust-p" d="m49.624 385.96h210.5" fill="none" marker-end="url(#wBust-me)" marker-start="url(#wBust-ms)" stroke="#f0c"/>
   <text id="wBust-t" y="-4" fill="#f0c" text-align="center" text-anchor="middle"><textPath id="wBust-tp" startOffset="50%" xlink:href="#wBust-p"><tspan id="wBust-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_wBust-modal" data-toggle="modal" role="button" xlink>
  <g id="wWaist" opacity="0">
   <marker id="wWaist-ms" overflow="visible" orient="auto">
    <path id="wWaist-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wWaist-me" overflow="visible" orient="auto">
    <path id="wWaist-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wWaist-p" d="m62.598 404.65h184.53" fill="none" marker-end="url(#wWaist-me)" marker-start="url(#wWaist-ms)" stroke="#f0c"/>
   <text id="wWaist-t" y="-4" fill="#f0c"><textPath id="wWaist-tp" startOffset="50%" xlink:href="#wWaist-p"><tspan id="wWaist-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_wHips-modal" data-toggle="modal" role="button" xlink>
  <g id="wHips" opacity="0">
   <marker id="wHips-ms" overflow="visible" orient="auto">
    <path id="wHips-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wHips-me" overflow="visible" orient="auto">
    <path id="wHips-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wHips-p" d="m42.434 423.35h224.85" fill="none" marker-end="url(#wHips-me)" marker-start="url(#wHips-ms)" stroke="#f0c"/>
   <text id="wHips-t" y="-4" fill="#f0c"><textPath id="wHips-tp" startOffset="50%" xlink:href="#wHips-p"><tspan id="wHips-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_wFrontband-modal" data-toggle="modal" role="button" xlink>
  <g id="wFrontband" opacity="0">
   <marker id="wFrontband-ms" overflow="visible" orient="auto">
    <path id="wFrontband-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wFrontband-me" overflow="visible" orient="auto">
    <path id="wFrontband-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wFrontband-p" d="m149.89 442.34h10.056" fill="none" marker-end="url(#wFrontband-me)" marker-start="url(#wFrontband-ms)" stroke="#f0c"/>
   <path id="wFrontband-ph" d="m136.02 442.34h37.791" fill="none" stroke="#f0c" stroke-width="0"/>
   <text id="wFrontband-t" y="-4" fill="#f0c"><textPath id="wFrontband-tp" startOffset="50%" xlink:href="#wFrontband-ph"><tspan id="wFrontband-s" transform="scale(5)" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_wFront-modal" data-toggle="modal" role="button" xlink>
  <g id="wFront" opacity="0">
   <marker id="wFront-ms" overflow="visible" orient="auto">
    <path id="wFront-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wFront-me" overflow="visible" orient="auto">
    <path id="wFront-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wFront-p" d="m43.383 442.34h106.4" fill="none" marker-end="url(#wFront-me)" marker-start="url(#wFront-ms)" stroke="#f0c"/>
   <text id="wFront-t" y="-4" fill="#f0c"><textPath id="wFront-tp" startOffset="50%" xlink:href="#wFront-p"><tspan id="wFront-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hCo2hips-modal" data-toggle="modal" role="button" xlink>
  <g id="hCo2hips" opacity="0">
   <marker id="hCo2hips-ms" overflow="visible" orient="auto">
    <path id="hCo2hips-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hCo2hips-me" overflow="visible" orient="auto">
    <path id="hCo2hips-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hCo2hips-p" d="m18.906 368.84v-51.2" fill="none" marker-end="url(#hCo2hips-me)" marker-start="url(#hCo2hips-ms)" stroke="#f0c"/>
   <text id="hCo2hips-t" y="-4" fill="#f0c"><textPath id="hCo2hips-tp" startOffset="50%" xlink:href="#hCo2hips-p"><tspan id="hCo2hips-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hHips2waist-modal" data-toggle="modal" role="button" xlink>
  <g id="hHips2waist" opacity="0">
   <marker id="hHips2waist-ms" overflow="visible" orient="auto">
    <path id="hHips2waist-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hHips2waist-me" overflow="visible" orient="auto">
    <path id="hHips2waist-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hHips2waist-p" d="m18.906 317.43v-51.177" fill="none" marker-end="url(#hHips2waist-me)" marker-start="url(#hHips2waist-ms)" stroke="#f0c"/>
   <text id="hHips2waist-t" y="-4" fill="#f0c"><textPath id="hHips2waist-tp" startOffset="50%" xlink:href="#hHips2waist-p"><tspan id="hHips2waist-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hWaist2armhole-modal" data-toggle="modal" role="button" xlink>
  <g id="hWaist2armhole" opacity="0">
   <marker id="hWaist2armhole-ms" overflow="visible" orient="auto">
    <path id="hWaist2armhole-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hWaist2armhole-me" overflow="visible" orient="auto">
    <path id="hWaist2armhole-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hWaist2armhole-p" d="m18.906 265.95v-103.18" fill="none" marker-end="url(#hWaist2armhole-me)" marker-start="url(#hWaist2armhole-ms)" stroke="#f0c"/>
   <text id="hWaist2armhole-t" y="-4" fill="#f0c"><textPath id="hWaist2armhole-tp" startOffset="50%" xlink:href="#hWaist2armhole-p"><tspan id="hWaist2armhole-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hCo2Armhole-modal" data-toggle="modal" role="button" xlink>
  <g id="hCo2Armhole" opacity="0">
   <marker id="hCo2Armhole-ms" overflow="visible" orient="auto">
    <path id="hCo2Armhole-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hCo2Armhole-me" overflow="visible" orient="auto">
    <path id="hCo2Armhole-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hCo2Armhole-p" d="m289.55 162.84v205.93" fill="none" marker-end="url(#hCo2Armhole-me)" marker-start="url(#hCo2Armhole-ms)" stroke="#f0c"/>
   <text id="hCo2Armhole-t" y="-4" fill="#f0c"><textPath id="hCo2Armhole-tp" startOffset="50%" xlink:href="#hCo2Armhole-p"><tspan id="hCo2Armhole-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hProject-modal" data-toggle="modal" role="button" xlink>
  <g id="hProject" opacity="0">
   <marker id="hProject-ms" overflow="visible" orient="auto">
    <path id="hProject-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hProject-me" overflow="visible" orient="auto">
    <path id="hProject-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hProject-p" d="m313.55 52.533v316.29" fill="none" marker-end="url(#hProject-me)" marker-start="url(#hProject-ms)" stroke="#f0c"/>
   <text id="hProject-t" y="-4" fill="#f0c"><textPath id="hProject-tp" startOffset="50%" xlink:href="#hProject-p"><tspan id="hProject-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hNeckFront-modal" data-toggle="modal" role="button" xlink>
  <g id="hNeckFront" opacity="0">
   <marker id="hNeckFront-ms" overflow="visible" orient="auto">
    <path id="hNeckFront-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hNeckFront-me" overflow="visible" orient="auto">
    <path id="hNeckFront-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hNeckFront-p" d="m257.5 53.156v36.823" fill="none" marker-end="url(#hNeckFront-me)" marker-start="url(#hNeckFront-ms)" stroke="#f0c"/>
   <text id="hNeckFront-t" y="-4" fill="#f0c"><textPath id="hNeckFront-tp" startOffset="50%" xlink:href="#hNeckFront-p"><tspan id="hNeckFront-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hArmhole-modal" data-toggle="modal" role="button" xlink>
  <g id="hArmhole" opacity="0">
   <marker id="hArmhole-ms" overflow="visible" orient="auto">
    <path id="hArmhole-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hArmhole-me" overflow="visible" orient="auto">
    <path id="hArmhole-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hArmhole-p" d="m18.906 163.31v-110.11" fill="none" marker-end="url(#hArmhole-me)" marker-start="url(#hArmhole-ms)" stroke="#f0c"/>
   <text id="hArmhole-t" y="-4" fill="#f0c"><textPath id="hArmhole-tp" startOffset="50%" xlink:href="#hArmhole-p"><tspan id="hArmhole-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hNeckBack-modal" data-toggle="modal" role="button" xlink>
  <g id="hNeckBack" opacity="0">
   <marker id="hNeckBack-ms" overflow="visible" orient="auto">
    <path id="hNeckBack-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hNeckBack-me" overflow="visible" orient="auto">
    <path id="hNeckBack-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hNeckBack-p" d="m72.011 65.044v-11.85" fill="none" marker-end="url(#hNeckBack-me)" marker-start="url(#hNeckBack-ms)" stroke="#f0c"/>
   <path id="hNeckBack-ph" d="m70.718 78.33v-37.791" fill="none" stroke="#f0c" stroke-width="0"/>
   <text id="hNeckBack-t" y="-4" fill="#f0c"><textPath id="hNeckBack-tp" startOffset="50%" xlink:href="#hNeckBack-ph"><tspan id="hNeckBack-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_hShoulder-modal" data-toggle="modal" role="button" xlink>
  <g id="hShoulder" opacity="0">
   <marker id="hShoulder-ms" overflow="visible" orient="auto">
    <path id="hShoulder-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="hShoulder-me" overflow="visible" orient="auto">
    <path id="hShoulder-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="hShoulder-p" d="m48.265 65.044v-11.85" fill="none" marker-end="url(#hShoulder-me)" marker-start="url(#hShoulder-ms)" stroke="#f0c"/>
   <path id="hShoulder-ph" d="m46.97 78.33v-37.791" fill="none" stroke="#f0c" stroke-width="0"/>
   <text id="hShoulder-t" y="-4" fill="#f0c"><textPath id="hShoulder-tp" startOffset="50%" xlink:href="#hShoulder-ph"><tspan id="hShoulder-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_wNeck-modal" data-toggle="modal" role="button" xlink>
  <g id="wNeck" opacity="0">
   <marker id="wNeck-ms" overflow="visible" orient="auto">
    <path id="wNeck-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wNeck-me" overflow="visible" orient="auto">
    <path id="wNeck-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wNeck-p" d="m119.69 39.041h70.882" fill="none" marker-end="url(#wNeck-me)" marker-start="url(#wNeck-ms)" stroke="#f0c"/>
   <text id="wNeck-t" y="-4" fill="#f0c"><textPath id="wNeck-tp" startOffset="50%" xlink:href="#wNeck-p"><tspan id="wNeck-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_wShoulder-modal" data-toggle="modal" role="button" xlink>
  <g id="wShoulder" opacity="0">
   <marker id="wShoulder-ms" overflow="visible" orient="auto">
    <path id="wShoulder-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wShoulder-me" overflow="visible" orient="auto">
    <path id="wShoulder-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wShoulder-p" d="m78.595 39.041h40.937" fill="none" marker-end="url(#wShoulder-me)" marker-start="url(#wShoulder-ms)" stroke="#f0c"/>
   <text id="wShoulder-t" y="-4" fill="#f0c"><textPath id="wShoulder-tp" startOffset="50%" xlink:href="#wShoulder-p"><tspan id="wShoulder-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_wCrossback-modal" data-toggle="modal" role="button" xlink>
  <g id="wCrossback" opacity="0">
   <marker id="wCrossback-ms" overflow="visible" orient="auto">
    <path id="wCrossback-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wCrossback-me" overflow="visible" orient="auto">
    <path id="wCrossback-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wCrossback-p" d="m78.76 18.925h152.12" fill="none" marker-end="url(#wCrossback-me)" marker-start="url(#wCrossback-ms)" stroke="#f0c"/>
   <text id="wCrossback-t" y="-4" fill="#f0c"><textPath id="wCrossback-tp" startOffset="50%" xlink:href="#wCrossback-p"><tspan id="wCrossback-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <a data-target="#dim_wArmhole-modal" data-toggle="modal" role="button" xlink>
  <g id="wArmhole" opacity="0">
   <marker id="wArmhole-ms" overflow="visible" orient="auto">
    <path id="wArmhole-msp" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <marker id="wArmhole-me" overflow="visible" orient="auto">
    <path id="wArmhole-mep" transform="scale(.8)" d="m0 5.65v-11.3" fill="none" stroke="#f0c"/>
   </marker>
   <path id="wArmhole-p" d="m49.619 18.906h29.173" fill="none" marker-end="url(#wArmhole-me)" marker-start="url(#wArmhole-ms)" stroke="#f0c"/>
   <text id="wArmhole-t" y="-4" fill="#f0c"><textPath id="wArmhole-tp" startOffset="50%" xlink:href="#wArmhole-p"><tspan id="wArmhole-s" text-align="center" text-anchor="middle">?</tspan></textPath></text>
  </g>
 </a>
 <path id="FrontDivided" opacity="0" d="m161.33 88.091v280.41h-10.275v-280.44" fill="none" stroke="#000" />
 <path id="shoulderEvenWide" opacity="0" d="m191.76 51.243h69.83v11.597m-210.8-0.21137v-11.385h69.544" fill="none" stroke="#000" />
 <path id="shoulderSlopeWide" opacity="0" d="m191.76 51.191 69.217 11.597m-209.66-0.21137 69.022-11.385" fill="none" stroke="#000" />
 <path id="cutWaistshape" opacity="0" d="m261.66 161.71-13.218 103.38c-2.3401 18.304 20.024 50.643 20.055 69.099l0.0573 34.1-111.99-0.47907h-0.74991l-111.99 0.47907 0.0573-34.1c0.031-18.453 22.395-50.794 20.055-69.099l-13.217-103.38" fill="none" stroke="#000" />
 <path id="cutEven" opacity="1" d="m261.59 161.01 0.0968 207.33h-210.81l-0.16015-207.33" fill="none" stroke="#000" />
 <path id="cutAline" opacity="0" d="m260.34 161.75 8.1712 154.99 0.0574 51.599h-224.73l0.0573-51.599 8.1712-154.99" fill="none" stroke="#000" />
 <path id="cutSingleshape" opacity="0" d="m261.66 162.3-13.218 206.04h-184.5l-13.218-206.04" fill="none" stroke="#000" />
 <path id="shoulderSlopeSlim" opacity="1" d="m191.86 51.331 40.475 11.597m-152.36 0 40.472-11.597" fill="none" stroke="#000" />
 <path id="neckRoundFront" opacity="1" d="m120.45 51.331c7e-3 18.555 15.719 36.858 35.708 37.038 19.987-0.17797 35.706-18.482 35.706-37.038" fill="none" stroke="#000" />
 <path id="neckRoundBack" opacity="0" d="m191.86 51.331c-6.8302 11.968-14.588 12.13-35.708 12.13-21.119 0-28.877-0.16224-35.706-12.13" fill="none" stroke="#000" />
 <path id="neckEven" opacity="0" d="m191.86 51.331h-71.414" fill="none" stroke="#000" />
 <path id="neckSquare" opacity="0" d="m191.86 51.331v36.651h-71.414v-36.651" fill="none" stroke="#000" />
 <path id="armSlope" opacity="0" d="m232.44 62.015v81.275l29.097 17.719m-210.82 0 29.366-17.719v-81.275" fill="none" stroke="#000" />
 <path id="armRaglan" opacity="0" d="m127.54 76.889-68.29 84.216-8.5432-0.0937m211.13 0-8.5444 0.0937-68.249-84.263" fill="none" stroke="#000" />
 <path id="armEvenSI" opacity="0" d="m232.35 62.003v98.848l29.227 0.16064m-210.88 0 29.286-0.16064v-98.848" fill="none" stroke="#000" />
 <path id="armEven" opacity="0" d="m261.59 62.428v98.576m-210.9 0.43v-98.576" fill="none" stroke="#000" />
 <path id="armCap" opacity="1" d="m232.32 62.93c-0.71424 48.486-0.47014 98.399 29.288 98.511m-210.93 0c29.758-0.10853 30.002-50.024 29.288-98.511" fill="none" stroke="#000" />
 <path id="armYoke" opacity="0" d="m120.41 51.638s-28.44 4.6547-40.475 12.381c-24.274 15.583-59.042 65.344-59.042 65.344s18.083 28.636 44.544 44.452c26.461 15.815 58.329 22.906 90.717 22.906 32.39 0 64.257-7.0918 90.717-22.906 26.461-15.814 44.544-44.452 44.544-44.452s-34.855-49.71-59.12-65.344c-11.875-7.6492-39.931-12.381-39.931-12.381" fill="none" stroke="#000" />
 <path id="neckV" opacity="0" d="m191.86 51.331c-3.7562 17.889-34.435 40.059-35.708 40.059s-31.016-22.194-35.708-40.023" fill="none" stroke="#000" />
 <path id="shoulderEvenSlim" opacity="0" d="m191.86 51.439h40.475v11.597m-152.36 0v-11.597h40.472" fill="none" stroke="#000" />
</svg>




        </fieldset><!-- END SVG cut -->

                [[*content]]
    </div>
    <div class="print-ad mb-5"><p>&copy; Iris Hammer [[!+nowdate:default=`now`:strtotime:date=`%Y`]] &dash; <a href="https://justknit.de/strickrechner/" >JustKnit</a> Stricken was wirklich passt. </p></div>
</div>



            </div>
        </main>
        <footer>
            <nav class="navbar fixed-bottom jk-bottomnav">
                <div class="container justify-content-evenly">
                    <button id="calcBtn" type="button" class="btn btn-info  mb-2">[[%justknit.btn_calc? &namespace=`justknit` &topic=`calc`]]</button>
                    <input id="addBtn" type="submit" name="addCalc" class="btn btn-primary  mb-2" value="[[%justknit.btn_add? &namespace=`justknit` &topic=`calc`]]" />[[-`]]
                    <button id="clrBtn" type="reset" class="btn btn-secondary  mb-2">[[%justknit.btn_reset? &namespace=`justknit` &topic=`calc`]]</button>
                    <button id="modalBtn" type="button" class="btn btn-secondary  mb-2" data-bs-toggle="modal" data-bs-target="#helpModal">[[%justknit.btn_help? &namespace=`justknit` &topic=`calc`]]</button>[[-`]]
                </div>
            </nav>
        </footer>
        </form>
    </body>
    <!-- Bootstrap 5.3.0 -->
    <script src="assets/components/justknit/js/web/popper.min.js"></script>
    <script src="assets/components/justknit/js/web/bootstrap.min.js"></script>
    <script src="assets/components/justknit/js/web/html2pdf.bundle.min.js"></script>

    <script>
/* <![CDATA[ */
    var lex = [[!jsonLex]], res = [];
    res.id = [[*id]];
    res.alias = '[[*alias]]';
/* ]]> */
    </script>
    <script src="assets/components/justknit/js/web/justknit.js"></script>
    <script src="assets/components/justknit/js/web/calc.js"></script>
    <script>
        var toastElList = [].slice.call(document.querySelectorAll('.toast'))
        var toastList = toastElList.map(function (toastEl) { return new bootstrap.Toast(toastEl) })
        var popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'))
        var popoverList = popoverTriggerList.map(function (popoverTriggerEl) { return new bootstrap.Popover(popoverTriggerEl) })

        var popoverTriggerListModal = [].slice.call(document.querySelectorAll('[data-bs-toggle="popovermodal"]'))
        var popoverListModal = popoverTriggerListModal.map(function (popoverTriggerElModal) { return new bootstrap.Popover(popoverTriggerElModal,{ container: ".modal-body", trigger: 'focus' }) })

        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) { return new bootstrap.Tooltip(tooltipTriggerEl) })
    </script>
</html>
